AlliedModders

AlliedModders (https://forums.alliedmods.net/index.php)
-   TF2Items (https://forums.alliedmods.net/forumdisplay.php?f=146)
-   -   Invalid Item ID (https://forums.alliedmods.net/showthread.php?t=324128)

projectghost 05-07-2020 02:05

Invalid Item ID
 
Hey everyone!

I'm pretty new to all of this but please bear with me. I just recently set up a server in which TF2 Items is very integral. Each player is assigned a random weapon at the beginning of the round however I noticed something odd. When I was supposed to get some items I noticed I didn't. I typed in console sm_giveweapon 1104 (airstrike as this was one of the weapons I wasn't getting) and an error appeared with TF2 Items in the console saying it was an invalid ID. Basically, any weapon released after around 2014 is not recognized by my version of TF2 Items. I've been looking around everywhere to find another version but I'm having trouble. What should I do?

Thanks everyone and I appreciate all of the help :)

PC Gamer 05-08-2020 16:39

Re: Invalid Item ID
 
Wrong thread. This probably should be posted in the tf2items_giveweapon plugin thread.

Try this:
1. Install TF2ItemsInfo plugin. If you are already using it go to step 2.
2. Recompile your tf2items_giveweapon
3. OPTIONAL: Since you are going to recompile tf2items_giveweapon anyway, why not do the fix for flamethrowers and Jungle Inferno weapons?
3a. Try changing line 1878 in the source code before recompiling.
Code:

  From:  new flags = OVERRIDE_CLASSNAME | OVERRIDE_ITEM_DEF | OVERRIDE_ITEM_LEVEL | OVERRIDE_ITEM_QUALITY | OVERRIDE_ATTRIBUTES;

  To:  new flags = OVERRIDE_CLASSNAME | OVERRIDE_ITEM_DEF | OVERRIDE_ITEM_LEVEL | OVERRIDE_ITEM_QUALITY | PRESERVE_ATTRIBUTES;

4. Put your newly compiled tf2items_giveweapon plugin in your plugins directory.
5. Change map
6. Test plugin by using: !gimme 1104
7. Have fun!

projectghost 05-19-2020 13:42

Re: Invalid Item ID
 
Quote:

Originally Posted by PC Gamer (Post 2698944)
Wrong thread. This probably should be posted in the tf2items_giveweapon plugin thread.

Try this:
1. Install TF2ItemsInfo plugin. If you are already using it go to step 2.
2. Recompile your tf2items_giveweapon
3. OPTIONAL: Since you are going to recompile tf2items_giveweapon anyway, why not do the fix for flamethrowers and Jungle Inferno weapons?
3a. Try changing line 1878 in the source code before recompiling.
Code:

  From:  new flags = OVERRIDE_CLASSNAME | OVERRIDE_ITEM_DEF | OVERRIDE_ITEM_LEVEL | OVERRIDE_ITEM_QUALITY | OVERRIDE_ATTRIBUTES;

  To:  new flags = OVERRIDE_CLASSNAME | OVERRIDE_ITEM_DEF | OVERRIDE_ITEM_LEVEL | OVERRIDE_ITEM_QUALITY | PRESERVE_ATTRIBUTES;

4. Put your newly compiled tf2items_giveweapon plugin in your plugins directory.
5. Change map
6. Test plugin by using: !gimme 1104
7. Have fun!

When you say recompile, do you mean running compile.exe in the scripting folder? Because I've done that and unfortunately I am still getting this error.

Also, I am noticing probelms with flamethrowers let me try your fix.

Thanks so much for the reply, I really appreciate the help!

PC Gamer 05-19-2020 16:59

Re: Invalid Item ID
 
4 Attachment(s)
To compile the tf2items_giveweapon plugin you go to a command prompt, change into the scripting directory, and type: spcomp tf2items_giveweapon

That will create a file called tf2items_giveweapon.smx that you move into your plugins directory.

If that's too hard.... copy the .smx files I've attached to this post into your plugins directory.

I hope this helps. If not let me know.


All times are GMT -4. The time now is 01:17.

Powered by vBulletin®
Copyright ©2000 - 2021, vBulletin Solutions, Inc.